Bug 257282 - net/pecl-amqp: Update to 1.10.2 (Adds PHP 7.4 Support)
Summary: net/pecl-amqp: Update to 1.10.2 (Adds PHP 7.4 Support)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Li-Wen Hsu
URL:
Keywords: easy, needs-qa
Depends on:
Blocks:
 
Reported: 2021-07-19 18:41 UTC by Marcin Gryszkalis
Modified: 2021-07-21 19:43 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (jnlin)
koobs: merge-quarterly?


Attachments
Makefile and distinfo patch (1.05 KB, patch)
2021-07-19 18:41 UTC, Marcin Gryszkalis
no flags Details | Diff
fixed patch (restore proper IGNORE_WITH_PHP=80) (1.08 KB, patch)
2021-07-19 19:36 UTC, Marcin Gryszkalis
no flags Details | Diff
fixed patch (replace CFLAGS with USES localbase) (1.05 KB, patch)
2021-07-20 08:30 UTC, Marcin Gryszkalis
lwhsu: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marcin Gryszkalis 2021-07-19 18:41:51 UTC
Created attachment 226552 [details]
Makefile and distinfo patch

Current version has IGNORE_WITH_PHP=74 80, 1.10 support php 7.4+
Comment 1 Marcin Gryszkalis 2021-07-19 19:36:03 UTC
Created attachment 226554 [details]
fixed patch (restore proper IGNORE_WITH_PHP=80)

php 8.0 is supported in pecl-ampq 1.11 (currently in beta state)
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2021-07-20 03:25:47 UTC
Thank you for your report and patch Marcin.

Can you describe why the CFLAGS was necessary?

If it's still required/necessary, replace CFLAGS+= with USES=localbase
Comment 3 Marcin Gryszkalis 2021-07-20 08:24:32 UTC
(In reply to Kubilay Kocak from comment #2)

Without CFLAGS build could not find .h from amqp lib

/usr/ports/net/pecl-amqp/work-php74/amqp-1.10.2/amqp_type.c:24:10: fatal error: 'amqp.h' file not found
#include <amqp.h>
         ^~~~~~~~
Comment 4 Marcin Gryszkalis 2021-07-20 08:30:53 UTC
Created attachment 226566 [details]
fixed patch (replace CFLAGS with USES localbase)
Comment 5 Li-Wen Hsu freebsd_committer 2021-07-21 14:12:20 UTC
Comment on attachment 226566 [details]
fixed patch (replace CFLAGS with USES localbase)

Maintainer approved (via IM)
Comment 6 commit-hook freebsd_committer 2021-07-21 19:42:24 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=632a8e82054ac07d4c25dc5aa66890c77756dbf3

commit 632a8e82054ac07d4c25dc5aa66890c77756dbf3
Author:     Marcin Gryszkalis <mg@fork.pl>
AuthorDate: 2021-07-21 19:38:25 +0000
Commit:     Li-Wen Hsu <lwhsu@FreeBSD.org>
CommitDate: 2021-07-21 19:38:25 +0000

    net/pecl-amqp: Update to 1.10.2

    - Adds PHP 7.4 Support

    PR:             257282
    Approved by:    Jui-Nan Lin <jnlin@freebsd.cs.nctu.edu.tw> (maintainer)

 net/pecl-amqp/Makefile | 6 +++---
 net/pecl-amqp/distinfo | 6 +++---
 2 files changed, 6 insertions(+), 6 deletions(-)